Main Page glibmm Namespaces Book

# Gio::FilterInputStream Class Reference
[Stream Classes]

Filter Input Stream. More...

Inheritance diagram for Gio::FilterInputStream:

[legend]

List of all members.

## Public Member Functions

virtual | ~FilterInputStream ()
GFilterInputStream* | gobj ()
| Provides access to the underlying C GObject.
const GFilterInputStream* | gobj () const
| Provides access to the underlying C GObject.
GFilterInputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr<InputStream> | get_base_stream ()
| Gets the base stream for the filter stream.
Glib::RefPtr<const InputStream> | get_base_stream () const
| Gets the base stream for the filter stream.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<InputStream>> | property_base_stream () const
| The underlying base stream the io ops will be done on.

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr <Gio::FilterInputStream> | wrap (GFilterInputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Filter Input Stream.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::FilterInputStream::~FilterInputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

GFilterInputStream* Gio::FilterInputStream::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::InputStream.

Reimplemented in Gio::BufferedInputStream, and Gio::DataInputStream.

const GFilterInputStream* Gio::FilterInputStream::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::InputStream.

Reimplemented in Gio::BufferedInputStream, and Gio::DataInputStream.

GFilterInputStream* Gio::FilterInputStream::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::InputStream.

Reimplemented in Gio::BufferedInputStream, and Gio::DataInputStream.

Glib::RefPtr<InputStream> Gio::FilterInputStream::get_base_stream | ( |  | ) |

Gets the base stream for the filter stream.

Returns:
  A InputStream.

Glib::RefPtr<const InputStream> Gio::FilterInputStream::get_base_stream | ( |  | ) | const

Gets the base stream for the filter stream.

Returns:
  A InputStream.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<InputStream>> Gio::FilterInputStream::property_base_stream | ( |  | ) | const

The underlying base stream the io ops will be done on.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gio::FilterInputStream> wrap | ( | GFilterInputStream * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- filterinputstream.h